2010-10-29  Geoff Norton  <grompf@sublimeintervention.com>

	[OSX] Reintroduce Cocoa System.Drawing support

	The old Cocoa backend for System.Drawing appears to still work.
	You must pass in a NSView.Handle while in the DrawRect method, or
	with lockFocus called to prepare the NSGraphicsContext.

2009-07-08  Carlos Alberto Cortez <calberto.cortez@gmail.com>

	* System.Drawing_test.dll.sources: Add PageSourceTest.cs and
	PaperSizeTest.cs.

2008-08-08  Gert Driesen  <drieseng@users.sourceforge.net>

	* Makefile: Add 415581.ico.

2008-08-06  Gert Driesen  <drieseng@users.sourceforge.net>

	* Makefile: Add 323511.ico.

2008-08-06  Sebastien Pouliot  <sebastien@ximian.com>

	* System.Drawing_test.dll.sources: Add System.Drawing.Imaging.
	FrameDimension unit tests to the build

2007-10-22  Andreia Gaita  <avidigal@novell.com>

	* SD2K5.csproj: Add 2k5 project

2007-10-17  Sebastien Pouliot  <sebastien@ximian.com>

	* nunit-host-ignore-list: Change host name for DISTRO names.

2007-08-01  Sebastien Pouliot  <sebastien@ximian.com>

	* nunit-host-ignore-list: Update bots name changes.

2007-05-30  Sebastien Pouliot  <sebastien@ximian.com>

	* Makefile: Add an interlaced GIF test file to the dist.

2007-05-29  Sebastien Pouliot  <sebastien@ximian.com>

	* System.Drawing_test.dll.sources: Add System.Drawing.Printing.Margins
	unit tests to the build.

2007-05-23  Sebastien Pouliot  <sebastien@ximian.com> 

	* Makefile: Add a 2bpp PNG test file to the dist.

2007-05-08  Sebastien Pouliot  <sebastien@ximian.com>

	* Makefile: Add a greyscale JPEG test file to the dist.

2007-05-03  Sebastien Pouliot  <sebastien@ximian.com>

	* System.Drawing_test.dll.sources: Add unit tests for 
	PrintingServicesUnix.

2007-04-11  Sebastien Pouliot  <sebastien@ximian.com>

	* System.Drawing_test.dll.sources: Add Locale to the unit tests (soon
	to be required)

2007-04-09  Sebastien Pouliot  <sebastien@ximian.com>

	* System.Drawing.dll.sources: Add internal KnownColors.

2007-03-29  Sebastien Pouliot  <sebastien@ximian.com> 

	* nunit-host-ignore-list: Re-enable TIFF test cases on SPARC bots and
	remove some test cases on the ARM bot.

2007-03-28  Sebastien Pouliot  <sebastien@ximian.com> 

	* nunit-host-ignore-list: More test cases that fails on SPARC bots.

2007-03-28  Sebastien Pouliot  <sebastien@ximian.com>

	* nunit-host-ignore-list: Ignore TIFF codec tests on both SPARC bots.

2007-03-15  Sebastien Pouliot  <sebastien@ximian.com>

	* System.Drawing_test.dll.sources: Add EmfPlusRecordType unit tests to
	the build.

2007-03-14  Sebastien Pouliot  <sebastien@ximian.com>

	* Makefile: Add the new GIF87a test files to the dist.

2007-03-09  Sebastien Pouliot  <sebastien@ximian.com>

	* Makefile: Add metafiles (WMF and EMF) test files to the dist.
	* System.Drawing_test.dll.sources: Add Metafile unit tests to the 
	build.

2007-02-28  Sebastien Pouliot  <sebastien@ximian.com>

	* System.Drawing_test.dll.sources: Add (existing!) SystemFontsTest to
	the build.

2007-02-08  Sebastien Pouliot  <sebastien@ximian.com>

	* Makefile: Add non-inverted bitmap to dist.

2007-01-30  Sebastien Pouliot  <sebastien@ximian.com>

	* Makefile: Add System.Runtime.Serialization.Formatters.Soap.dll and 
	System.Xml.dll for building the unit tests.

2007-01-15  Sebastien Pouliot  <sebastien@ximian.com>

	* Makefile: Add new non-standard size icons, 10x16 and 11x22.

2007-01-15  Sebastien Pouliot  <sebastien@ximian.com> 

	* Makefile: Add new test icon 32bpp.ico for newer, XP, ARGB icons.

2007-01-11  Sebastien Pouliot  <sebastien@ximian.com> 

	* Makefile: Add new test icons 16x16x16 and 32x32x16 to dist.

2007-01-10  Sebastien Pouliot  <sebastien@ximian.com> 

	* Makefile: Add new test icons (48x48x1, 64x64x256 and 96x96x256) to 
	distribution files.

2007-01-07  Sebastien Pouliot  <sebastien@ximian.com> 

	* Makefile: Add new file nunit-host-ignore to the dist
	* System.Drawing_test.dll.sources: Add HostIgnoreList to the build.
	* nunit-host-ignore-list: New. Hosts specific ignore list for nunit

2006-12-03  Sebastien Pouliot  <sebastien@ximian.com> 

	* Makefile: Switch to icons available in Assembly/
	* System.Drawing_test.dll.sources: Add SystemIcons unit tests to the 
	build.

2006-12-02  Sebastien Pouliot  <sebastien@ximian.com> 

	* error.ico: New. Error icon required for SystemIcons.
	* information.ico: New. Information icon required for SystemIcons.
	* mono.ico: New. Mono icon used for Application and WinLogo in 
	SystemIcons.
	* question.ico: New. Question icon required for SystemIcons.
	* warning.ico: New. Warning icon required for SystemIcons.
	* Makefile: Add all icons as resources in the assembly.

2006-11-16  Carlos Alberto Cortez <calberto.cortez@gmail.com>

	* System.Drawing_test.dll.sources: Add new unit test
	for PageSettings.

2006-10-31  Sebastien Pouliot  <sebastien@ximian.com> 

	* System.Drawing_test.dll.sources: Add new unit tests for 
	System.Drawing.Imaging.MetaHeader and WmfPlaceableFileHeader classes.

2006-09-27	Boris Kirzner <borisk@mainsoft.com>

	* run-tests.test.bat : tests batch fix.


2006-09-26	Boris Kirzner <borisk@mainsoft.com>

	* run-tests.bat,run-tests.test.bat: log files naimng fix.

2006-09-18	Boris Kirzner <borisk@mainsoft.com>

	* run-tests.test.bat : fixes for TARGET_JVM tests run script.

2006-09-12	Boris Kirzner <borisk@mainsoft.com>
	* run-tests.bat, run-tests.test.bat: reworked tests logging.
	* System.Drawing20.vmwcsproj: updated references path.

2006-09-01  Sebastien Pouliot  <sebastien@ximian.com> 

	* Makefile: Add new almogaver32bits.tif file to EXTRA_DISTFILES
	* System.Drawing_test.dll.sources: Added unit tests for GIF, ICON, PNG
	and TIFF codecs.

2006-08-28	Boris Kirzner <borisk@mainsoft.com>

	* run-tests.test.bat: chnged script for tests NET_2_0 run.

2006-08-24  Sebastien Pouliot  <sebastien@ximian.com>

	* System.Drawing_test.dll.sources: Added unit tests for TextureBrush.

2006-08-12  Duncan Mak  <duncan@novell.com>

	* GDIPlusTest.csproj: New MSBuild project file for building
	GDIPlusTest on Windows.

	* System.Drawing_test.dll.sources: Add gdipEnums.cs,
	gdipFunctions.cs and gdipStructs.cs.

	* Makefile (TEST_MCS_FLAGS): Add new #define 'TEST'. This is used
	to exclude parts of gdipFunctions so that it could be reused as
	part of the NUnit tests.

2006-08-02  Sebastien Pouliot  <sebastien@ximian.com>

	* Makefile: Add the test bitmaps to EXTRA_DISTFILES so monobuild has
	them available when running the unit tests.

2006-07-06  Sebastien Pouliot  <sebastien@ximian.com>

	* System.Drawing_test.dll.sources: Added unit tests for direct GDI+ 
	function calls.

2006-06-30  Sebastien Pouliot  <sebastien@ximian.com>

	* System.Drawing_test.dll.sources: Added unit tests for SolidBrush.

2006-05-30  Sebastien Pouliot  <sebastien@ximian.com>

	* System.Drawing_test.dll.sources: Added unit tests for FontFamily.

2006-05-17  Sebastien Pouliot  <sebastien@ximian.com>

	* System.Drawing_test.dll.sources: Added unit tests for Pen.

2006-05-16  Vladimir Krasnov  <vladimirk@mainsoft.com>

	* run-tests.test.bat: skip nunit build if already done

2006-05-09  Sebastien Pouliot  <sebastien@ximian.com>

	* System.Drawing_test.dll.sources: Added unit tests for 
	PathGradientBrush.

2006-01-30 Boris Kirzner <borisk@mainsoft.com>
	* run-tests.test.bat: changed location of xmltool.

2006-01-29 Boris Kirzner <borisk@mainsoft.com>
	* run-tests.bat, run-tests.test.bat, runtestfixture.bat, 
	runmonotestfixture.bat : added batch files for automatic 
	testing for TARGET_JVM.

2006-01-18  Sebastien Pouliot  <sebastien@ximian.com>

	* System.Drawing_test.dll.sources: Added unit tests for RegionData and
	non-rectangular Region.

2006-01-12  Sebastien Pouliot  <sebastien@ximian.com>

	* System.Drawing_test.dll.sources: Added unit tests for GraphicsPath 
	and PathData.

2006-01-11  Sebastien Pouliot  <sebastien@ximian.com>

	* System.Drawing_test.dll.sources: Added CAS unit tests for Region to 
	the build.

2005-12-05 Jordi Mas i Hernandez <jordimash@gmail.com>

	* MetaHeader.cs: Classes need to specify StructLayout attribute
	* EncoderParameter.cs: Classes need to specify StructLayout attribute
	* ImageAttributes.cs: Classes need to specify StructLayout attribute
	* WmfPlaceableFileHeader.cs: Classes need to specify StructLayout attribute
	* MetafileHeader.cs: Classes need to specify StructLayout attribute

2005-12-04 Konstantin Triger <kostat@mainsoft.com>

        * net_1_1_java_System.Drawing.dll.exclude.sources,
		net_1_1_java_System.Drawing.dll.sources:
		correcting SystemIcons.cs reference.

2005-11-28 Konstantin Triger <kostat@mainsoft.com>

	* System.Drawing.vmwcsproj: Added System icons; changed to mono icon implementation.

2005-11-14  Andrew Skiba  <andrews@mainsoft.com>

	* net_1_1_java_System.Drawing.dll.sources,
	net_1_1_java_System.Drawing.dll.exclude.sources: added java profile
	sources lists
	* Makefile: add java profile section

2005-11-13 Konstantin Triger <kostat@mainsoft.com>

	* System.Drawing.vmwcsproj: Added System.Drawing.Text/LineLayout.jvm.cs,
		System.Drawing.Text/LineLayout.jvm.cs

2005-09-27  Kornél Pál  <kornelpal@hotmail.com>

	* Makefile: Removed /codepage:28591 as it is the default.

2005-09-19  Miguel de Icaza  <miguel@novell.com>

	* Makefile (EXTRA_DISTFILES): Distribute indexed.png, add resource
	to build.

2005-09-14 Vladimir Krasnov <vladimirk@mainsoft.com>

	* System.Drawing.vmwcsproj: Added PlainImage.jvm.cs, PlainImageCollection.jvm.cs

2005-09-07 Vladimir Krasnov <vladimirk@mainsoft.com>

	* System.Drawing.vmwcsproj: ImageCodec.jvm.cs
	Added Mainsoft.Drawing.Configuration.jvm folder with
	ResolutionConfiguration.cs, ResolutionConfigurationCollection.cs, 
	ResolutionConfigurationHandler.cs

2005-08-28 Vladimir Krasnov <vladimirk@mainsoft.com>

	* System.Drawing.vmwcsproj: Added GraphicsContainer.jvm.cs, GraphicsState.jvm.cs
	Excluded: GraphicsContainer.cs, GraphicsState.cs
	Fixed: const.cs.in

2005-08-25 Atsushi Enomoto <atsushi@ximian.com>

	* Makefile: build fix for some utf8-defaulted environment.

2005-08-24 Marek Safar <marek.safar@seznam.cz>

	* SD.csproj: Updated.

2005-08-23 Eyal Alalyf <eyala@mainsoft.com>
	* System.Drawing.vmwcsproj: Change it to be developer edition project file

2005-08-23 Boris Kirzner <borisk@mainsoft.com>
	* System.Drawing.vmwcsproj: Changed reference to Consts.cs.

2005-08-16 Andrew Skiba <andrews@mainsoft.com>

	* System.Drawing.vmwcsproj: use ImageFormat.cs instead of jvm.cs

2005-08-14 Gert Driesen <drieseng@users.sourceforge.net>
	
	* System.Drawing.dll.sources: Removed TestColorConverter again, as 
	there was already a test class for ColorConverter.

2005-08-14 Gert Driesen <drieseng@users.sourceforge.net>

	* System.Drawing.dll.sources: Added TestColorConverter.cs.

2005-08-14 Vladimir Krasnov <vladimirk@mainsoft.com>

	* System.Drawing.vmwcsproj: Added SystemIcons.jvm.cs, excluded SystemIcons.cs
	
2005-08-11 Konstantin Triger <kostat@mainsoft.com>

        * System.Drawing.vmwcsproj: changing JAVA to TARGET_JVM in release builds

2005-08-10 Boris Kirzner <borisk@mainsoft.com>
	* System.Drawing.vmwcsproj: Added ExtendedGeneralPath.jvm.cs and GeneralPathIterator.jvm.cs.

2005-08-09 Konstantin Triger <kostat@mainsoft.com>

	* System.Drawing.vmwcsproj: Added AdvancedStoke.jvm.cs and StrokeFactory.jvm.cs

2005-08-09 Andrew Skiba <andrews@mainsoft.com>

	* System.Drawing_test.dll.sources: add ColorConverter.cs and ColorTranslator.cs

2005-08-07 Konstantin Triger <kostat@mainsoft.com>

	* System.Drawing.vmwcsproj: removed source control dependency

2005-08-03  Andrew Skiba  <andrews@mainsoft.com>

	* System.Drawing.vmwcsproj, System.Drawing.sln: add a project file and solution for building System.Drawing for Grasshopper

2004-12-09  Geoff Norton  <gnorton@customerdna.com>

	* System.Drawing.dll.sources: Add System.Drawing/carbonFunctions.cs to the build

2004-11-22  Ravindra  <rkumar@novell.com>

	* SD.csproj: Removed a wrong entry from files list.

2004-09-16  Ravindra <rkumar@novell.com>

	* SD.csproj: Added a VS.NET project file. It can be used to build
	System.Drawing library on MS.

2004-09-09  Sebastien Pouliot  <sebastien@ximian.com>

	* System.Drawing_test.dll.sources: Added unit tests for 
	PrintingPermission and it's attribute class.

2004-06-10  Ravindra <rkumar@novell.com>

	* Makefile: Suppress compiler warning cs:618 for test dll.

2004-06-03  Ravindra <rkumar@novell.com>

	* Makefile: Updated. We don't need to define the flag
	DECLARE_CDECL_DELEGATES anymore. As we have moved all the
	codecs to libgdiplus.

2004-05-26  Ravindra <rkumar@novell.com>

	* System.Drawing_test.dll.sources: Added TestColor.cs to the test sources list.

2004-05-20  Sanjay Gupta <gsanjay@novell.com>

	* System.Drawing_test.dll.sources: Added TestIcon.cs to the test sources list.

2004-05-18  Ravindra <rkumar@novell.com>

	* System.Drawing_test.dll.sources: Added TestHatchBrush.cs to the
	test sources list.
	* README: Added some guidelines for writing tests/samples.

2004-05-17  Sanjay Gupta <gsanjay@novell.com>

	* System.Drawing_test.dll.sources: Added TestIconConverter.cs to the test sources list.

2004-05-14  Sanjay Gupta <gsanjay@novell.com>

	* System.Drawing_test.dll.sources: Added TestImageConverter.cs and 
	TestImageFormatConverter.cs to the test sources list.

2004-04-22  Ravindra <rkumar@novell.com>

	* System.Drawing_test.dll.sources: Added TestPointConverter.cs,
	TestRectangleConverter.cs and TestSizeConverter.cs to the test
	sources list.

2004-04-21  Ravindra <rkumar@novell.com>

	* System.Drawing_test.dll.sources: Added TestPens.cs and
	TestBrushes.cs to the test sources list.

2004-04-16  Ravindra <rkumar@novell.com>

	* System.Drawing_test.dll.sources: Added TestSystemPens.cs
	to the test sources list.

2004-04-12  Ravindra <rkumar@novell.com>

	* System.Drawing_test.dll.sources: Added TestSystemBrushes.cs
	to the test sources list.

2004-03-18  Ravindra <rkumar@novell.com>
	* System.Drawing_test.dll.sources: Added TestBitmap.cs,
	TestBlend.cs and TestColorBlend.cs to test sources list.

2004-03-17  Ravindra <rkumar@novell.com>
	* Samples: Created directory for samples.
	* README: Created README that tells about the directory
	structure for samples and tests.

2004-02-11  Ravindra <rkumar@novell.com>
	* System.Drawing.dll.sources: Added EncoderParameter.cs
	and EncoderParameters.cs.

2004-02-07  Andreas Nahr <ClassDevelopment@A-SoftTech.com>

	* System.Drawing.dll.sources:
	  SRDescriptionAttribute.cs, Locale.cs added

2004-01-26  Ravindra <rkumar@novell.com>
	* System.Drawing.dll.sources: Added TextureBrush.cs.

2004-01-26  Ravindra <rkumar@novell.com>
	* System.Drawing_test.dll.sources: Added to create 
	System.Drawing_test.dll.

2004-01-23  Ravindra <rkumar@novell.com>
	* System.Drawing.dll.sources: Removed TextureBrush.cs. 
	Was added by mistake during last check-in.

2004-01-19  Ravindra <rkumar@novell.com>
	* System.Drawing.dll.sources: Added Encoder.cs.

2003-11-13  Andreas Nahr <ClassDevelopment@A-SoftTech.com>
	* System.Drawing.dll.sources: MetafileHeader added (was missing), Consts.cs added

2003-10-14  Bernie Solomon  <bernard@ugsolutions.com>
	* Makefile			do not build gdiplus on Windows

2003-10-12  Alexandre Pigolkine <pigolkine@gmx.de>
	* Makefile			gdiplus added to subdirs

2003-10-12  Alexandre Pigolkine <pigolkine@gmx.de>
	* System.Drawing.dll.sources: 	Remove cairo,win32,gtk implementations
									Add gdi+ implementation

2003-09-21  Miguel de Icaza  <miguel@ximian.com>
	* System.Drawing.dll.sources: Remove xr implementation. 

2003-09-21  Alexandre Pigolkine <pigolkine@gmx.de>
	* System.Drawing.dll.sources	removed 2 files from Printing namespace

2003-08-31  Jerome Laban <jlaban@wanadoo.fr>
	* Graphics.cs:
	* win32functions.cs: Added Win32 Ellipse implementation. 

2003-08-24  Duncan Mak  <duncan@ximian.com>

	* System.Drawing.dll.sources: Add Cairo implementation.

2003-07-23  Peter Williams  <peter@newton.cx>

	* System.Drawing.dll.sources: Add Pens.cs

2003-07-17  Andreas Nahr <ClassDevelopment@A-SoftTech.com>

	* System.Drawing.dll.sources:
	* list.unix: AssemblyInfo.cs added

2003-06-27 Alexandre Pigolkine <pigolkine@gmx.de>
	* list.unix		
		new file added

2003-06-22 Alexandre Pigolkine <pigolkine@gmx.de>
	* list.unix		
		reordered by folder names
		few new files added
		System.Drawing.Design/IDesignerHost.cs removed

2003-06-18 Alexandre Pigolkine <pigolkine@gmx.de>
	* list.unix		changed

2003-06-15 Alexandre Pigolkine <pigolkine@gmx.de>
	* list.unix		files added
	* makefile.gnu	--unsafe flag, cdecl delegates
	
2003-06-06 Alexandre Pigolkine <pigolkine@gmx.de>
	* list.unix		changed

2003-04-26 Alexandre Pigolkine <pigolkine@gmx.de>
	* list.unix		changed

2003-03-31  Martin Willemoes Hansen <mwh@sysrq.dk>

	* System.Drawing.Printing/PrinterUnitConvert.cs stubed

2003-03-31  Martin Willemoes Hansen <mwh@sysrq.dk>

        * System.Drawing.Design/ToolboxItemCollection.cs stubed

2003-03-31  Alan Tam <Tam@SiuLung.com>

	* list.unix: Added UITypeEditor.cs.

2003-02-08  Gonzalo Paniagua Javier <gonzalo@ximian.com>

	* list.unix: added ImageAttributes.cs.

2003-02-07 Alexandre Pigolkine <pigolkine@gmx.de>
	* list.unix		changed

2002-12-1  Alejandro Sánchez Acosta  <raciel@es.gnu.org>

	* list.unix: Changed


2002-06-20  Gonzalo Paniagua Javier <gonzalo@ximian.com>

	* ChangeLog: new file.

	* System.Drawing.build: added System.dll dependency
	
